Bug 854076 - RFE - Press "Enter" should perform searching in Add Project Maintainer instead of closing the dialog
RFE - Press "Enter" should perform searching in Add Project Maintainer instea...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 20:00 EDT by Ding-Yi Chen
Modified: 2012-11-07 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121003-1138)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-09-03 20:00:52 EDT
Description of problem:

When adding project maintainers,
pressing "Enter" on username search field should:
Search the usernames that start whith the search term.
and show either 
1) a user seletion box if there is multiple matches, or
2) the actual name and email address if there is only one match.

However, current behavior of "Enter" is dialog will be closed if there is only one match.

Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20120904-0014)

How reproducible:
Always

Steps to Reproduce:
0. Sign in as a project maintainer.
1. Visit any project you maintain, and click "Manage Maintainers"
2. Click Action "Add Project Maintainer"
3. Type any valid username and press "Enter"


Actual results:
"Add Project Maintainer" dialog get closed and nothing else happend.

Expected results:
"Add Project Maintainer" dialog remain opened, 
search the usernames that contain the string as prefix.
and show either 
1) a user seletion box if there is multiple matches, or
2) the actual name and email address if there is only one match.
Comment 1 Ding-Yi Chen 2012-09-03 20:02:24 EDT
This might be related to Bug 853824, and the sympton is similar to Bug 819707.
Comment 2 Alex Eng 2012-10-01 20:26:52 EDT
Implemented fix in version 2.0.
See https://github.com/zanata/zanata/commit/2d1d0cb4a87a4ed66e362a8dac5e19349fe480b5
Comment 3 Ding-Yi Chen 2012-10-02 23:58:41 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121003-1138)
Comment 4 Sean Flanigan 2012-11-07 01:18:31 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.